package cokr.xit.fims.wpm.service.bean;

import java.io.InputStream;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.wpm.WoopyonMoaRequest;
import cokr.xit.fims.wpm.service.WoopyonMoaService;
import cokr.xit.foundation.Downloadable;
import cokr.xit.foundation.component.AbstractServiceBean;

@Service("woopyonMoaService")
public class WoopyonMoaServiceBean extends AbstractServiceBean implements WoopyonMoaService {
	@Resource(name = "woopyonMoaBean")
	private WoopyonMoaBean woopyonMoaBean;

	@Override
	public Downloadable downloadRequest(WoopyonMoaRequest req) {
		return woopyonMoaBean.downloadRequest(req);
	}

	@Override
	public int updateStatus(InputStream input) {
		return woopyonMoaBean.updateStatus(input);
	}
}